JavaScript
import Courier from '@trycourier/courier';
const client = new Courier({
apiKey: process.env['COURIER_API_KEY'], // This is the default and can be omitted
});
await client.routingStrategies.archive('id');import os
from courier import Courier
client = Courier(
api_key=os.environ.get("COURIER_API_KEY"), # This is the default and can be omitted
)
client.routing_strategies.archive(
"id",
)package main
import (
"context"
"github.com/trycourier/courier-go"
"github.com/trycourier/courier-go/option"
)
func main() {
client := courier.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.RoutingStrategies.Archive(context.TODO(), "id")
if err != nil {
panic(err.Error())
}
}package com.courier.example;
import com.courier.client.CourierClient;
import com.courier.client.okhttp.CourierOkHttpClient;
import com.courier.models.routingstrategies.RoutingStrategyArchiveParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
CourierClient client = CourierOkHttpClient.fromEnv();
client.routingStrategies().archive("id");
}
}require "courier"
courier = Courier::Client.new(api_key: "My API Key")
result = courier.routing_strategies.archive("id")
puts(result)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Courier\Client;
use Courier\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('COURIER_API_KEY') ?: 'My API Key');
try {
$result = $client->routingStrategies->archive('id');
var_dump($result);
} catch (APIException $e) {
echo $e->getMessage();
}using TryCourier;
using TryCourier.Models.RoutingStrategies;
CourierClient client = new();
RoutingStrategyArchiveParams parameters = new() { ID = "id" };
await client.RoutingStrategies.Archive(parameters);courier routing-strategies archive \
--api-key 'My API Key' \
--id idcurl --request DELETE \
--url https://api.courier.com/routing-strategies/{id} \
--header 'Authorization: Bearer <token>'{
"type": "invalid_request_error",
"message": "Routing strategy rs_01kx4kepxgfq9ty3rersxgwk8x not found"
}{
"type": "invalid_request_error",
"message": "Routing strategy rs_01kx4h2jdafq8bk9amzvy6hbv0 has associated templates and cannot be archived"
}Routing Strategies
Archive Routing Strategy
Archive a routing strategy. The strategy must not have associated notification templates. Unlink all templates before archiving.
DELETE
/
routing-strategies
/
{id}
JavaScript
import Courier from '@trycourier/courier';
const client = new Courier({
apiKey: process.env['COURIER_API_KEY'], // This is the default and can be omitted
});
await client.routingStrategies.archive('id');import os
from courier import Courier
client = Courier(
api_key=os.environ.get("COURIER_API_KEY"), # This is the default and can be omitted
)
client.routing_strategies.archive(
"id",
)package main
import (
"context"
"github.com/trycourier/courier-go"
"github.com/trycourier/courier-go/option"
)
func main() {
client := courier.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.RoutingStrategies.Archive(context.TODO(), "id")
if err != nil {
panic(err.Error())
}
}package com.courier.example;
import com.courier.client.CourierClient;
import com.courier.client.okhttp.CourierOkHttpClient;
import com.courier.models.routingstrategies.RoutingStrategyArchiveParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
CourierClient client = CourierOkHttpClient.fromEnv();
client.routingStrategies().archive("id");
}
}require "courier"
courier = Courier::Client.new(api_key: "My API Key")
result = courier.routing_strategies.archive("id")
puts(result)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Courier\Client;
use Courier\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('COURIER_API_KEY') ?: 'My API Key');
try {
$result = $client->routingStrategies->archive('id');
var_dump($result);
} catch (APIException $e) {
echo $e->getMessage();
}using TryCourier;
using TryCourier.Models.RoutingStrategies;
CourierClient client = new();
RoutingStrategyArchiveParams parameters = new() { ID = "id" };
await client.RoutingStrategies.Archive(parameters);courier routing-strategies archive \
--api-key 'My API Key' \
--id idcurl --request DELETE \
--url https://api.courier.com/routing-strategies/{id} \
--header 'Authorization: Bearer <token>'{
"type": "invalid_request_error",
"message": "Routing strategy rs_01kx4kepxgfq9ty3rersxgwk8x not found"
}{
"type": "invalid_request_error",
"message": "Routing strategy rs_01kx4h2jdafq8bk9amzvy6hbv0 has associated templates and cannot be archived"
}โI